=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 include /usr/share/dpkg/buildflags.mk
 
 # soup2 build -> 1.0 API packages, soup3 build -> 1.1 API packages
-USE_SOUP_VERSION=3
+USE_SOUP_VERSION=2
 
 EXTRA_DH_ARGUMENTS =
 EXTRA_CMAKE_ARGUMENTS =
@@ -14,16 +14,24 @@
 
 ifeq ($(USE_SOUP_VERSION),2)
 	EXTRA_CMAKE_ARGUMENTS += -DUSE_SOUP2=ON
-	EXTRA_DH_ARGUMENTS += \
-		-Nlibwpewebkit-1.1-0 \
-		-Nlibwpewebkit-1.1-dev
-	DH_GENCONTROL_ARGS += -Vdriver:Depends="libwpewebkit-1.0-3 (= \$${binary:Version})"
+	WK_API_VERSION = 1.0
+	LIBWPEWEBKIT_PKG = libwpewebkit-1.0-3
+	SOUPDEV_PKG = libsoup2.4-dev
+	SOUPDOC_PKG = libsoup2.4-doc
 else
 	EXTRA_CMAKE_ARGUMENTS += -DUSE_SOUP2=OFF
-	EXTRA_DH_ARGUMENTS += \
-		-Nlibwpewebkit-1.0-3 \
-		-Nlibwpewebkit-1.0-dev
-	DH_GENCONTROL_ARGS += -Vdriver:Depends="libwpewebkit-1.1-0 (= \$${binary:Version})"
+	WK_API_VERSION = 1.1
+	LIBWPEWEBKIT_PKG = libwpewebkit-1.1-0
+	SOUPDEV_PKG = libsoup-3.0-dev
+	SOUPDOC_PKG = libsoup-3.0-doc
+endif
+
+# gcc 10 segfaults when building webkit (#1008098) so use clang
+# However in i386 and mipsel clang is the buggy one (#1010329)
+ifeq (,$(filter $(DEB_HOST_ARCH),i386 mipsel))
+	EXTRA_CMAKE_ARGUMENTS += \
+	   -DCMAKE_C_COMPILER=clang \
+	   -DCMAKE_CXX_COMPILER=clang++
 endif
 
 # Sacrifice speed in order to make it more likely resource limits
@@ -47,8 +55,8 @@
 	EXTRA_CMAKE_ARGUMENTS += -DUSE_LD_GOLD=OFF
 endif
 
-# Lower memory requirements on mips/mipsel with only 2 GB address space
-ifneq (,$(filter $(DEB_HOST_ARCH),mips mipsel))
+# Lower memory requirements on architectures with only 2 GB address space
+ifneq (,$(filter $(DEB_HOST_ARCH),mips mipsel sh4))
 	CFLAGS := $(CFLAGS:-g1=-g0)
 	CFLAGS := $(CFLAGS:-O2=-Os)
 	CPPFLAGS += --param ggc-min-expand=10
@@ -111,6 +119,16 @@
 		       -e 's/1\.0\.so\.3/1.1.so.0/g' \
 		       -e 's/1\.0/1.1/g'
 
+debian/control: debian/control.in debian/rules
+	echo '# This file is autogenerated. DO NOT EDIT' > debian/control
+	cat debian/control.in | \
+		sed -e 's/@SOUPDEV_PKG@/$(SOUPDEV_PKG)/g' \
+		    -e 's/@SOUPDOC_PKG@/$(SOUPDOC_PKG)/g' \
+		    -e 's/@WK_API_VERSION@/$(WK_API_VERSION)/g' \
+		    -e 's/@LIBWPEWEBKIT_PKG@/$(LIBWPEWEBKIT_PKG)/g' \
+		    -e 's/@SOUP_VERSION@/$(USE_SOUP_VERSION)/g' \
+		>> debian/control
+
 %:
 	dh $@ --buildsystem=cmake+ninja $(EXTRA_DH_ARGUMENTS)
 
@@ -138,7 +156,7 @@
 	   -DENABLE_WPE_QT_API=OFF \
 	   $(EXTRA_CMAKE_ARGUMENTS)
 
-override_dh_auto_clean:
+override_dh_auto_clean: debian/control
 	dh_auto_clean
 	find Source Tools -type f -name "*.pyc" -exec rm {} \;
 	find Source Tools -depth -type d -name __pycache__ -exec rmdir {} \;
