=== debian/changelog ===
wpewebkit (2.36.4-1~deb11u1) bullseye-security; urgency=medium

  * Rebuild for bullseye-security.
  * gcc 10 segfaults when building webkit (see #1008098) so use clang instead.
    - debian/rules: tell CMake to user clang in all arches except i386 and
      mipsel (see ##1010329)
    - debian/control.in: Build depend on clang.
  * Use libsoup2 instead of libsoup3:
    - debian/rules: Set USE_SOUP_VERSION=2.

 -- Alberto Garcia <berto@igalia.com>  Thu, 14 Jul 2022 13:53:50 +0200

wpewebkit (2.36.4-1) unstable; urgency=high

  * New upstream release.
  * The WPE WebKit security advisory WSA-2022-0006 lists the following
    security fixes in the latest versions of WPE WebKit:
    - CVE-2022-22662 (fixed in 2.36.0).
    - CVE-2022-22677 and CVE-2022-26710 (fixed in 2.36.4).
  * Update format of lintian overrides (see #1007002).
  * debian/control.in:
    - Update Standards-Version to 4.6.1.0 (no changes).

 -- Alberto Garcia <berto@igalia.com>  Wed, 06 Jul 2022 15:56:08 +0200
