=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                bubblewrap (>= 0.3.1) [!alpha !ia64 !m68k !riscv64 !sh4 !sparc64],
                xdg-dbus-proxy [!alpha !ia64 !m68k !riscv64 !sh4 !sparc64],
                libseccomp-dev [!alpha !ia64 !m68k !riscv64 !sh4 !sparc64],
-               clang [!i386 !mipsel],,
+               clang [!i386 !mipsel],
                cmake (>= 3.10),
                gperf,
                jdupes,
@@ -41,7 +41,7 @@
 Build-Depends-Indep: gtk-doc-tools,
                libglib2.0-doc,
                libsoup2.4-doc
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/webkit-team/webkit
 Vcs-Git: https://salsa.debian.org/webkit-team/webkit.git -b wpe/unstable
