## wpewebkit 2.36.6

=== debian/changelog ===
wpewebkit (2.36.6-1) unstable; urgency=high

  * New upstream release.
  * The WPE WebKit security advisory WSA-2022-0007 lists the following
    security fixes in the latest versions of WPE WebKit
    - CVE identifiers: CVE-2022-32792, CVE-2022-32816 and CVE-2022-2294
      (fixed in 2.36.5).

 -- Alberto Garcia <berto@igalia.com>  Wed, 10 Aug 2022 17:08:54 +0200
