=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
                bubblewrap (>= 0.3.1) [!alpha !ia64 !m68k !riscv64 !sh4 !sparc64],
                xdg-dbus-proxy [!alpha !ia64 !m68k !riscv64 !sh4 !sparc64],
                libseccomp-dev [!alpha !ia64 !m68k !riscv64 !sh4 !sparc64],
-               clang [!i386 !mipsel],
                cmake (>= 3.10),
                gperf,
                jdupes,
@@ -25,7 +24,7 @@
                libjpeg-dev,
                liblcms2-dev,
                libopenjp2-7-dev (>= 2.2.0),
-               libsoup2.4-dev,
+               libsoup-3.0-dev,
                libsqlite3-dev,
                libsystemd-dev,
                libtasn1-6-dev,
@@ -40,20 +39,20 @@
                wayland-protocols
 Build-Depends-Indep: gtk-doc-tools,
                libglib2.0-doc,
-               libsoup2.4-doc
+               libsoup-3.0-doc
 Standards-Version: 4.6.1.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/webkit-team/webkit
 Vcs-Git: https://salsa.debian.org/webkit-team/webkit.git -b wpe/unstable
 Homepage: https://wpewebkit.org/
 
-Package: libwpewebkit-1.0-dev
+Package: libwpewebkit-1.1-dev
 Section: libdevel
 Architecture: linux-any
 Multi-Arch: same
-Depends: libwpewebkit-1.0-3 (= ${binary:Version}),
+Depends: libwpewebkit-1.1-0 (= ${binary:Version}),
          libglib2.0-dev,
-         libsoup2.4-dev,
+         libsoup-3.0-dev,
          libwpe-1.0-dev,
          ${misc:Depends}
 Suggests: libwpewebkit-1.0-doc
@@ -68,12 +67,12 @@
  hardware acceleration in mind, leveraging common 3D graphics APIs for
  best performance.
  .
- This build provides version 1.0 of the API and uses libsoup v2 for
+ This build provides version 1.1 of the API and uses libsoup v3 for
  the networking stack.
  .
  This package contains the development files.
 
-Package: libwpewebkit-1.0-3
+Package: libwpewebkit-1.1-0
 Architecture: linux-any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends},
@@ -90,7 +89,7 @@
  hardware acceleration in mind, leveraging common 3D graphics APIs for
  best performance.
  .
- This build provides version 1.0 of the API and uses libsoup v2 for
+ This build provides version 1.1 of the API and uses libsoup v3 for
  the networking stack.
  .
  This package contains the shared libraries.
