## wpewebkit 2.38.0

=== debian/changelog ===
wpewebkit (2.38.0-1~deb11u1) bullseye-security; urgency=high

  * Rebuild for bullseye-security.
  * gcc 10 segfaults when building webkit (see #1008098) so use clang instead.
    - debian/rules: tell CMake to user clang in all arches except i386 and
      mipsel (see #1010329)
    - debian/control.in: Build depend on clang.
  * Use libsoup2 instead of libsoup3:
    - debian/rules: Set USE_SOUP_VERSION=2.

 -- Alberto Garcia <berto@igalia.com>  Tue, 27 Sep 2022 13:20:34 +0200

wpewebkit (2.38.0-1) unstable; urgency=high

  * New upstream release.
  * The WPE WebKit security advisory WSA-2022-0009 lists the following
    security fixes in the latest versions of WPE WebKit:
    - CVE-2022-32891 (fixed in 2.36.5).
    - CVE-2022-32886 and CVE-2022-32912 (fixed in 2.36.8).
  * Refresh all patches.
  * Update copyright information of all files.
  * debian/gbp.conf:
    - Update upstream branch name.
  * debian/source/lintian-overrides:
    - Update source-is-missing overrides.
  * debian/control.in:
    - Replace build dependency on gtk-doc-tools with gi-docgen,
      gobject-introspection and libgirepository1.0-dev.
  * debian/not-installed:
    - Don't install the generated g-i files, at the moment we're only
      using them to build the documentation.
  * debian/libwpewebkit-1.0-doc.doc-base.*:
    - Replace the old doc-base files with wpe-webkit, wpe-javascriptcore
      and wpe-web-extension. Note that we are always shipping the 1.1 API
      docs now, but the package name is still named 1.0-doc to make
      backports easier.
  * debian/libwpewebkit-1.0-doc.{install,links}:
    - Install the docs in /usr/share/gtk-doc and link them from
      /usr/share/doc.
  * debian/rules:
    - Add USE_PREBUILT_DOCS variable to allow using the prebuilt
      documentation included in the upstream tarball when gi-docgen is
      missing.

 -- Alberto Garcia <berto@igalia.com>  Mon, 19 Sep 2022 22:16:34 +0200

wpewebkit (2.36.7-1) unstable; urgency=high

  * New upstream release.
  * The WPE WebKit security advisory WSA-2022-0008 lists the following
    security fixes in the latest versions of WPE WebKit
    - CVE identifiers: CVE-2022-32893 (fixed in 2.36.7).

 -- Alberto Garcia <berto@igalia.com>  Thu, 25 Aug 2022 14:57:57 +0200
