=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,11 @@
 include /usr/share/dpkg/buildflags.mk
 
 # soup2 build -> 1.0 API packages, soup3 build -> 1.1 API packages
-USE_SOUP_VERSION=3
+USE_SOUP_VERSION=2
+
+# Set to YES to use the docs from the tarball instead of generating them.
+# Use only if gi-docgen is not available.
+USE_PREBUILT_DOCS=NO
 
 EXTRA_DH_ARGUMENTS =
 EXTRA_CMAKE_ARGUMENTS =
@@ -17,13 +21,20 @@
 	WK_API_VERSION = 1.0
 	LIBWPEWEBKIT_PKG = libwpewebkit-1.0-3
 	SOUPDEV_PKG = libsoup2.4-dev
-	SOUPDOC_PKG = libsoup2.4-doc
+	USE_PREBUILT_DOCS=YES
 else
 	EXTRA_CMAKE_ARGUMENTS += -DUSE_SOUP2=OFF
 	WK_API_VERSION = 1.1
 	LIBWPEWEBKIT_PKG = libwpewebkit-1.1-0
 	SOUPDEV_PKG = libsoup-3.0-dev
-	SOUPDOC_PKG = libsoup-3.0-doc
+endif
+
+# gcc 10 segfaults when building webkit (#1008098) so use clang
+# However in i386 and mipsel clang is the buggy one (#1010329)
+ifeq (,$(filter $(DEB_HOST_ARCH),i386 mipsel))
+	EXTRA_CMAKE_ARGUMENTS += \
+	   -DCMAKE_C_COMPILER=clang \
+	   -DCMAKE_CXX_COMPILER=clang++
 endif
 
 # Sacrifice speed in order to make it more likely resource limits
@@ -66,11 +77,15 @@
 endif
 
 ifeq (,$(filter %-doc,$(shell dh_listpackages)))
-	EXTRA_CMAKE_ARGUMENTS += -DENABLE_GTKDOC=OFF
+	EXTRA_CMAKE_ARGUMENTS += -DENABLE_DOCUMENTATION=OFF -DENABLE_INTROSPECTION=OFF
+	USE_PREBUILT_DOCS=NO
 else ifneq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
-	EXTRA_CMAKE_ARGUMENTS += -DENABLE_GTKDOC=OFF
-else
-	EXTRA_CMAKE_ARGUMENTS += -DENABLE_GTKDOC=ON
+	EXTRA_CMAKE_ARGUMENTS += -DENABLE_DOCUMENTATION=OFF -DENABLE_INTROSPECTION=OFF
+	USE_PREBUILT_DOCS=NO
+else ifeq ($(USE_PREBUILT_DOCS),YES)
+	EXTRA_CMAKE_ARGUMENTS += -DENABLE_DOCUMENTATION=OFF -DENABLE_INTROSPECTION=OFF
+else
+	EXTRA_CMAKE_ARGUMENTS += -DENABLE_DOCUMENTATION=ON
 endif
 
 ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
@@ -115,11 +130,13 @@
 	echo '# This file is autogenerated. DO NOT EDIT' > debian/control
 	cat debian/control.in | \
 		sed -e 's/@SOUPDEV_PKG@/$(SOUPDEV_PKG)/g' \
-		    -e 's/@SOUPDOC_PKG@/$(SOUPDOC_PKG)/g' \
 		    -e 's/@WK_API_VERSION@/$(WK_API_VERSION)/g' \
 		    -e 's/@LIBWPEWEBKIT_PKG@/$(LIBWPEWEBKIT_PKG)/g' \
 		    -e 's/@SOUP_VERSION@/$(USE_SOUP_VERSION)/g' \
 		>> debian/control
+ifeq ($(USE_PREBUILT_DOCS),YES)
+	sed -i -e 's/^\(Build-Depends-Indep:\)/# \1/' debian/control
+endif
 
 %:
 	dh $@ --buildsystem=cmake+ninja $(EXTRA_DH_ARGUMENTS)
@@ -153,14 +170,24 @@
 	find Source Tools -type f -name "*.pyc" -exec rm {} \;
 	find Source Tools -depth -type d -name __pycache__ -exec rmdir {} \;
 
-# Create dummy doc directories in case the "nodoc" build option is set
+# If USE_PREBUILT_DOCS=YES then install them. Otherwise create dummy
+# doc directories in case the "nodoc" build option is set.
 override_dh_install:
-	mkdir -p $(CURDIR)/debian/tmp/usr/share/gtk-doc/html/wpe-1.0
-	touch $(CURDIR)/debian/tmp/usr/share/gtk-doc/html/wpe-1.0/index.html
-	mkdir -p $(CURDIR)/debian/tmp/usr/share/gtk-doc/html/wpe-webextensions-1.0
-	touch $(CURDIR)/debian/tmp/usr/share/gtk-doc/html/wpe-webextensions-1.0/index.html
+ifeq ($(USE_PREBUILT_DOCS),YES)
+	mkdir -p debian/tmp/usr/share/gtk-doc/html
+	cp -r Documentation/wpe-webkit-1.1 debian/tmp/usr/share/gtk-doc/html/
+	cp -r Documentation/wpe-web-extension-1.1 debian/tmp/usr/share/gtk-doc/html/
+	cp -r Documentation/wpe-javascriptcore-1.1 debian/tmp/usr/share/gtk-doc/html/
+else
+	mkdir -p debian/tmp/usr/share/gtk-doc/html/wpe-webkit-1.1
+	touch debian/tmp/usr/share/gtk-doc/html/wpe-webkit-1.1/index.html
+	mkdir -p debian/tmp/usr/share/gtk-doc/html/wpe-web-extension-1.1
+	touch debian/tmp/usr/share/gtk-doc/html/wpe-web-extension-1.1/index.html
+	mkdir -p debian/tmp/usr/share/gtk-doc/html/wpe-javascriptcore-1.1
+	touch debian/tmp/usr/share/gtk-doc/html/wpe-javascriptcore-1.1/index.html
+endif
 	dh_install
-	jdupes -rl $(CURDIR)/debian/libwpewebkit-1.0-doc/usr
+	jdupes -rl debian/libwpewebkit-1.0-doc/usr
 
 override_dh_shlibdeps:
 	dh_shlibdeps -XMiniBrowser
