## wpewebkit 2.38.2

=== debian/changelog ===
wpewebkit (2.38.2-1~deb11u1) bullseye-security; urgency=high

  * Rebuild for bullseye-security.
  * gcc 10 segfaults when building webkit in amd64 (see #1008098) so use
    clang instead. Keep using gcc in other architectures because clang has
    problems in at least i386, arm64 and mipsel (see #1010329 and
    #1016811).
    - debian/rules: Tell CMake to use clang.
    - debian/control.in: Build depend on clang.
  * Use libsoup2 instead of libsoup3:
    - debian/rules: Set USE_SOUP_VERSION=2.

 -- Alberto Garcia <berto@igalia.com>  Tue, 08 Nov 2022 11:07:19 +0100

wpewebkit (2.38.2-1) unstable; urgency=high

  * New upstream release.
  * The WPE WebKit security advisory WSA-2022-0010 lists the following
    security fixes in the latest versions of WPE WebKit:
    - CVE-2022-32888 and CVE-2022-32923 (fixed in 2.38.0).
    - CVE-2022-42799, CVE-2022-42823 and CVE-2022-42824 (fixed in 2.38.2).
  * Refresh all patches.
  * debian/rules:
    - Build with -DENABLE_UNIFIED_BUILDS=OFF on mips, mipsel and sh4, we
      are having problems to build webkit due to lack of memory (#1020642).

 -- Alberto Garcia <berto@igalia.com>  Fri, 04 Nov 2022 21:21:54 +0100

wpewebkit (2.38.1-1) unstable; urgency=medium

  * New upstream release.

 -- Alberto Garcia <berto@igalia.com>  Fri, 28 Oct 2022 11:50:16 +0200
