=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                bubblewrap (>= 0.3.1) [!alpha !ia64 !m68k !riscv64 !sh4 !sparc64],
                xdg-dbus-proxy [!alpha !ia64 !m68k !riscv64 !sh4 !sparc64],
                libseccomp-dev [!alpha !ia64 !m68k !riscv64 !sh4 !sparc64],
-               clang [!i386 !mipsel],
+               clang [amd64],
                cmake (>= 3.10),
                gperf,
                jdupes,
