=== debian/rules ===
--- 
+++ 
@@ -29,9 +29,9 @@
 	SOUPDEV_PKG = libsoup-3.0-dev
 endif
 
-# gcc 10 segfaults when building webkit (#1008098) so use clang
-# However in i386 and mipsel clang is the buggy one (#1010329)
-ifeq (,$(filter $(DEB_HOST_ARCH),i386 mipsel))
+# gcc 10 segfaults when building webkit in amd64 (#1008098) so use clang
+# However in i386, mipsel and arm64 clang is the buggy one (#1010329, #1016811)
+ifneq (,$(filter $(DEB_HOST_ARCH),amd64))
 	EXTRA_CMAKE_ARGUMENTS += \
 	   -DCMAKE_C_COMPILER=clang \
 	   -DCMAKE_CXX_COMPILER=clang++
@@ -63,6 +63,7 @@
 	CFLAGS := $(CFLAGS:-g1=-g0)
 	CFLAGS := $(CFLAGS:-O2=-Os)
 	CPPFLAGS += --param ggc-min-expand=10
+	EXTRA_CMAKE_ARGUMENTS += -DENABLE_UNIFIED_BUILDS=OFF
 endif
 
 # See: https://gcc.gnu.org/bugzilla/show_bug.cgi?id=93876
